TokenApproveDeviceBinding

Bind the device with the token

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
customerReferenceString1-255 characters✓Customer reference linked with this card
trackingNumberString1-20 characters✓Tracking number that identifies the card to update the expiry date
tokenUniqueReferenceString48 characters✓The unique reference of the token or an empty string to stop all the tokens for the card
deviceIdString✓The unique identifier that represents a specific device where token is linked
deviceIndexStringThe index number provided by Visa
commentString1-500 characters✓Description of the activation or empty string
transactionIDString1-255 characters✓A unique identifier generated by the client, which must not be duplicated over time.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
   <methodCall>
     <methodName>TokenApproveDeviceBinding</methodName>
     <params>
       <param>
         <value>
           <string>0095837XXX</string>
         </value>
       </param>
       <param>
         <value>
           <string>customerref</string>
         </value>
       </param>
       <param>
         <value>
           <string>863538900XXX</string>
         </value>
       </param>
       <param>
         <value>
           <string></string>
         </value>
       </param>
       <param>
         <value>
           <string>123</string>
         </value>
       </param>
       <param>
         <value>
           <string>1123</string>
         </value>
       </param>
       <param>
         <value>
           <string>comment</string>
         </value>
       </param>
       <param>
         <value>
           <string>txId3</string>
         </value>
       </param>
       <param>
         <value>
           <dateTime.iso8601>19201102T12:01:01</dateTime.iso8601>
         </value>
       </param>
       <param>
         <value>
           <string>800792A6D9BFD31FC93135525AEEDA1D2837B56E</string>
         </value>
       </param>
     </params>
   </methodCall>

Response Parameters

FieldtypeDescription
clientTransactionIDStringEcho
resultCodeIntegerStatus code indicating transaction result
terminalIDStringEcho
customerReferenceStringEcho
tokenUniqueReferenceStringEcho
resultTextStringText indicating transaction result
serverTransactionIDStringTransaction id number generated by Paymentology
trackingNumberStringEcho
<?xml version="1.0" encoding="UTF-8"?> <methodResponse>
     <params>
         <param>
             <value>
                 <struct>
                     <member>
                         <name>clientTransactionID</name>
                         <value>
                             <string>txId3</string>
                         </value>
                     </member>
                     <member>
                         <name>resultCode</name>
                         <value>
                             <int>1</int>
                         </value>
                     </member>
                     <member>
                         <name>terminalID</name>
                         <value>
                             <string>0095837XXX</string>
                         </value>
                     </member>
                     <member>
                         <name>customerReference</name>
                         <value>
                             <string>customerref</string>
                         </value>
                     </member>
                     <member>
                         <name>tokenUniqueReference</name>
                         <value>
                             <string></string>
                         </value>
                     </member>
                     <member>
                         <name>resultText</name>
                         <value>
                             <string>Approved</string>
                         </value>
                     </member>
                     <member>
                         <name>serverTransactionID</name>
                         <value>
                             <string>670B554D-C694-FDBA-BEEBADXXXXXX</string>
                         </value>
                     </member>
                     <member>
                         <name>trackingNumber</name>
                         <value>
                             <string>86353890000XXX</string>
                         </value>
                     </member>
                 </struct>
             </value>
         </param>
     </params>
 </methodResponse>